diff --git a/publish/rcn-ee_bb.org-stable.sh b/publish/rcn-ee_bb.org-stable.sh
index 5648ea7b33bd6b38650c39fb28ac6d86d6925327..24f619f5d169933dfaf88e14e70ed03bd17de2b6 100755
--- a/publish/rcn-ee_bb.org-stable.sh
+++ b/publish/rcn-ee_bb.org-stable.sh
@@ -129,8 +129,8 @@ generate_img () {
         if [ -d \${base_rootfs}/ ] ; then
                 cd \${base_rootfs}/
                 sudo ./setup_sdcard.sh \${options}
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.img || true
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.job.txt || true
+                sudo chown 1000:1000 *.img || true
+                sudo chown 1000:1000 *.job.txt || true
                 mv *.img ../ || true
                 mv *.job.txt ../ || true
                 cd ..
diff --git a/publish/rcn-ee_bb.org-test.sh b/publish/rcn-ee_bb.org-test.sh
index 6b9aa2d8a3abfb669b784d046782dc8667d63511..cfa87f851868c1b8132a507a446d8ce337af36b4 100755
--- a/publish/rcn-ee_bb.org-test.sh
+++ b/publish/rcn-ee_bb.org-test.sh
@@ -126,8 +126,8 @@ generate_img () {
         if [ -d \${base_rootfs}/ ] ; then
                 cd \${base_rootfs}/
                 sudo ./setup_sdcard.sh \${options}
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.img || true
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.job.txt || true
+                sudo chown 1000:1000 *.img || true
+                sudo chown 1000:1000 *.job.txt || true
                 mv *.img ../ || true
                 mv *.job.txt ../ || true
                 cd ..
diff --git a/publish/rcn-ee_bb.org-wheezy.sh b/publish/rcn-ee_bb.org-wheezy.sh
index f1b26ee41094e1f72fc9abc958f1c7ed9f6ea6fb..544b5dd9f9e2c49a2a1e60b0db49c50386030083 100755
--- a/publish/rcn-ee_bb.org-wheezy.sh
+++ b/publish/rcn-ee_bb.org-wheezy.sh
@@ -107,8 +107,8 @@ generate_img () {
         if [ -d \${base_rootfs}/ ] ; then
                 cd \${base_rootfs}/
                 sudo ./setup_sdcard.sh \${options}
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.img || true
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.job.txt || true
+                sudo chown 1000:1000 *.img || true
+                sudo chown 1000:1000 *.job.txt || true
                 mv *.img ../ || true
                 mv *.job.txt ../ || true
                 cd ..
diff --git a/publish/rcn-ee_elinux.sh b/publish/rcn-ee_elinux.sh
index 96a2b05eb363db81e04016e9a47f04198570975e..19352c5455893ceb7b9466d6f7983679c0fad856 100755
--- a/publish/rcn-ee_elinux.sh
+++ b/publish/rcn-ee_elinux.sh
@@ -110,8 +110,8 @@ generate_img () {
         if [ -d \${base_rootfs}/ ] ; then
                 cd \${base_rootfs}/
                 sudo ./setup_sdcard.sh \${options}
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.img || true
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.job.txt || true
+                sudo chown 1000:1000 *.img || true
+                sudo chown 1000:1000 *.job.txt || true
                 mv *.img ../ || true
                 mv *.job.txt ../ || true
                 cd ..
diff --git a/publish/rcn-ee_seeed-gcp-stable.sh b/publish/rcn-ee_seeed-gcp-stable.sh
index e2731df10129f4061a52d1d6ea3592e80390fcd8..6bc80c95727cb3e4e639345f88b6035358a8dcb0 100755
--- a/publish/rcn-ee_seeed-gcp-stable.sh
+++ b/publish/rcn-ee_seeed-gcp-stable.sh
@@ -110,8 +110,8 @@ generate_img () {
         if [ -d \${base_rootfs}/ ] ; then
                 cd \${base_rootfs}/
                 sudo ./setup_sdcard.sh \${options}
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.img || true
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.job.txt || true
+                sudo chown 1000:1000 *.img || true
+                sudo chown 1000:1000 *.job.txt || true
                 mv *.img ../ || true
                 mv *.job.txt ../ || true
                 cd ..
diff --git a/publish/rcn-ee_seeed-stable.sh b/publish/rcn-ee_seeed-stable.sh
index 3cd0aa8023e0c32ebd54b4a57958f53fcca6fe02..8e931953ea236fa44ac6017ca5593f64df684185 100755
--- a/publish/rcn-ee_seeed-stable.sh
+++ b/publish/rcn-ee_seeed-stable.sh
@@ -126,8 +126,8 @@ generate_img () {
         if [ -d \${base_rootfs}/ ] ; then
                 cd \${base_rootfs}/
                 sudo ./setup_sdcard.sh \${options}
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.img || true
-                sudo chown \${SUDO_USER}:\${SUDO_USER} *.job.txt || true
+                sudo chown 1000:1000 *.img || true
+                sudo chown 1000:1000 *.job.txt || true
                 mv *.img ../ || true
                 mv *.job.txt ../ || true
                 cd ..